package com.sundot.airport.exam.common.model;

import com.sundot.airport.exam.enums.CorrectStatusEnum;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <b>功能名：GradeQuesResult</b><br>
 * <b>说明：</b> 判题结果 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：</b><br>
 *
 * @author 2021-07-22 Mokou
 */
public class GradeQuesResult {
    /**
     * 本题得分
     */
    private Integer score = 0;

    /**
     * 填空题中   '空的组号' 与 '用户回答正确的空的下标' 的映射关系
     */
    private Map<Integer, List<Integer>> sortCorrectIdxMap = new HashMap<>();

    /**
     * 正确状态
     */
    private CorrectStatusEnum correctStatus;

    public Integer getScore() {
        return score;
    }

    public void setScore(Integer score) {
        this.score = score;
    }

    public CorrectStatusEnum getCorrectStatus() {
        return correctStatus;
    }

    public void setCorrectStatus(CorrectStatusEnum correctStatus) {
        this.correctStatus = correctStatus;
    }

    public Map<Integer, List<Integer>> getSortCorrectIdxMap() {
        return sortCorrectIdxMap;
    }

    public void setSortCorrectIdxMap(Map<Integer, List<Integer>> sortCorrectIdxMap) {
        this.sortCorrectIdxMap = sortCorrectIdxMap;
    }

    @Override
    public String toString() {
        return "GradeQuesResult{" +
                "score=" + score +
                ", sortCorrectIdxMap=" + sortCorrectIdxMap +
                ", correctStatus=" + correctStatus +
                '}';
    }
}